System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter To be added

Converts rectangles from one data type to another. Access this class through the .

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added

  Determines if this converter can convert an object in the given source type to the native type of the converter.

  This method returns true if this object can perform the conversion; otherwise, false.

  A formatter context. This object can be used to get additional information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. The type you want to convert from. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The parameter can be used to get additional information about the environment this converter is being called from.

  Gets a value indicating whether this converter can convert an object to the given destination type using the context.

  This method returns true if this converter can perform the conversion; otherwise, false.

  An object that provides a format context. This can be null, so you should always check. Also, properties on the context object can also return null. A object that represents the type you want to convert to. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` To be added

  Converts the given object to a object.

  The converted object.

  A that can be used to get additional information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. An that contains culture specific information, such as the language, calendar, and cultural conventions associated with a specific culture. It is based on the RFC 1766 standard. The object to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` ``

  The most common types to convert are to and from a string object. The default implementation calls the object's method if the object is valid and if the destination type is string. If this method cannot convert to the destination type, it throws a exception.

  Converts the specified object to the specified type.

  The converted object.

  A that can be used to get additional information about the environment this converter is being called from. This may be null, so you should always check. Also, properties on the context object may also return null. An that contains culture specific information, such as the language, calendar, and cultural conventions associated with a specific culture. It is based on the RFC 1766 standard. The object to convert. The type to convert the object to. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` To be added

  Creates an instance of this type given a set of property values for the object. This is useful for objects that are immutable but still want to provide changeable properties.

  The newly created object, or null if the object could not be created. The default implementation returns null.

  A through which additional context can be provided. A dictionary of new property values. The dictionary contains a series of name-value pairs, one for each property returned from a call to the method. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines if changing a value on this object should require a call to to create a new value.

  This method returns true if should be called when a change is made to one or more properties of this object; otherwise, false.

  A type descriptor through which additional context can be provided. 1.0.5000.0 2.0.0.0
- Method
  System.ComponentModel.PropertyDescriptorCollection `` `` ``

  A simple implementation of this method can just call the method for the correct data type.

  Retrieves the set of properties for this type. By default, a type does not return any properties.

  The set of properties that should be exposed for this data type. If no properties should be exposed, this may return null. The default implementation always returns null.

  A through which additional context can be provided. The value of the object to get the properties for. An array of objects that describe the properties. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines if this object supports properties. By default, this is false.

  This method returns true if should be called to find the properties of this object; otherwise, false.

  A through which additional context can be provided. 1.0.5000.0 2.0.0.0